using System;

namespace TAKMICENJE_2_MADJIONICAR
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int n = int.Parse(unos[0]);
            int k = int.Parse(unos[1]);
            int pozicija = 0;
            string[] unos2 = Console.ReadLine().Split();
            int[] niz = new int[n];
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(unos2[i]);
                if (niz[i] == k)
                    pozicija = i;
            }
            if (pozicija == n - 1)
                Console.WriteLine(niz[0]);
            else
                Console.WriteLine(niz[pozicija + 1]);
        }
    }
}